com.jogamp.opengl

## Enum FBObject.Attachment.Type

- java.lang.Object
- - java.lang.Enum<FBObject.Attachment.Type>
  - - com.jogamp.opengl.FBObject.Attachment.Type

- All Implemented Interfaces:
    Serializable, Comparable<FBObject.Attachment.Type>
  Enclosing class:
    FBObject.Attachment

      public static enum FBObject.Attachment.Type
      extends Enum<FBObject.Attachment.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLOR`
    `COLOR_TEXTURE`
    `DEPTH`
    `DEPTH_STENCIL`
    `DEPTH_TEXTURE`
    `NONE`
    `STENCIL`
    `STENCIL_TEXTURE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FBObject.Attachment.Type` | `determine(int format)` Returns `COLOR`, `DEPTH`, `STENCIL` or `DEPTH_STENCIL`
    `static FBObject.Attachment.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FBObject.Attachment.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FBObject.Attachment.Type NONE

    - #### DEPTH

          public static final FBObject.Attachment.Type DEPTH

    - #### STENCIL

          public static final FBObject.Attachment.Type STENCIL

    - #### DEPTH_STENCIL

          public static final FBObject.Attachment.Type DEPTH_STENCIL

    - #### COLOR

          public static final FBObject.Attachment.Type COLOR

    - #### COLOR_TEXTURE

          public static final FBObject.Attachment.Type COLOR_TEXTURE

    - #### DEPTH_TEXTURE

          public static final FBObject.Attachment.Type DEPTH_TEXTURE

    - #### STENCIL_TEXTURE

          public static final FBObject.Attachment.Type STENCIL_TEXTURE

  - ### Method Detail

    - #### values

          public static FBObject.Attachment.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FBObject.Attachment.Type c : FBObject.Attachment.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FBObject.Attachment.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### determine

          public static FBObject.Attachment.Type determine(int format)
                                                    throws IllegalArgumentException

      Returns `COLOR`, `DEPTH`, `STENCIL` or `DEPTH_STENCIL`
      Throws:
        `IllegalArgumentException` - if `format` cannot be handled.

Copyright 2010 JogAmp Community.